Last Comment Bug 243109 - cleanup business of internal vs. external definition of nsAString
: cleanup business of internal vs. external definition of nsAString
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: String (show other bugs)
: Trunk
: All All
: P1 critical (vote)
: mozilla1.8beta3
Assigned To: Benjamin Smedberg [:bsmedberg]
:
: Nathan Froyd [:froydnj]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-09 12:41 PDT by Darin Fisher
Modified: 2005-07-08 12:57 PDT (History)
6 users (show)
benjamin: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Darin Fisher 2004-05-09 12:41:54 PDT
cleanup business of internal vs. external definition of nsAString

see bug 205425 comment 67 through bug 205425 comment 74.
Comment 1 Darin Fisher 2004-05-09 12:43:01 PDT
targeting 1.8a, but whatever solution we come up with should probably land on
the 1.7 branch at some point.
Comment 2 Darin Fisher 2004-10-25 15:42:29 PDT
i think we can add some #define sugar in nsStringFwd.h to map all of our string
class names to something with a _internal suffix or some such mangling.  but to
make that work, we'd also need to add the same mangling in nsrootidl.idl for
nsAString and nsACString (or maybe just #include nsStringFwd.h there).

solving this bug will make it possible to mix the API defined in nsStringAPI.h
with that of the internal string API all within the same module.  that would
make it possible or easier to support static linking of mfcembed again (see bug
 262218).
Comment 3 Darin Fisher 2005-03-21 19:30:14 PST
I may not have time to implement this for Gecko 1.8.  Help wanted.
Comment 4 Benjamin Smedberg [:bsmedberg] 2005-06-29 05:51:54 PDT
I need this in order for embedders to be able to use the frozen string API on
linux/mac.
Comment 5 Benjamin Smedberg [:bsmedberg] 2005-07-08 12:57:35 PDT
Fixed by bug 297923.

Note You need to log in before you can comment on or make changes to this bug.